Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 4901)
+++ palm/trunk/SOURCE/header.f90	(revision 1)
@@ -1589,329 +1215,326 @@
 
  99 FORMAT (1X,78('-'))
-100 FORMAT (/1X,'******************************',4X,44('-')/                                       &
-            1X,'* ',A,' *',4X,A/                                                                   &
-            1X,'******************************',4X,44('-'))
-101 FORMAT (35X,'coupled run: ',A/                                                                 &
-            35X,42('-'))
-102 FORMAT (/' Date:               ',A10,4X,'Run:       ',A34/                                     &
-            ' Time:                 ',A8,4X,'Run-No.:   ',I2.2/                                    &
-            ' Run on host:        ',A10)
+100 FORMAT (/10X,'****************',11X,28('-')/                &
+            10X,'*  ',A12,'*',11X,A/                            &
+            10X,'****************',11X,28('-')//                &
+            ' Date:            ',A8,11X,'Run:       ',A20/      &
+            ' Time:            ',A8,11X,'Run-No.:   ',I2.2/     &
+            ' Run on host:   ',A10)
 #if defined( __parallel )
-103 FORMAT (' Number of PEs:',10X,I6,4X,'Processor grid (x,y): (',I4,',',I4,')',1X,A)
-104 FORMAT (' Number of PEs:',10X,I6,4X,'Tasks:',I4,'   threads per task:',I4/                     &
-              35X,'Processor grid (x,y): (',I4,',',I4,')',1X,A)
-107 FORMAT (35X,'A 1d-decomposition along ',A,' is used')
-108 FORMAT (35X,'Max. # of parallel I/O streams is ',I5)
-109 FORMAT (35X,'Precursor run for coupled atmos-ocean run'/                                       &
-            35X,42('-'))
-114 FORMAT (35X,'Coupled atmosphere-ocean run following'/                                          &
-            35X,'independent precursor runs'/                                                      &
-            35X,42('-'))
+101 FORMAT (' Number of PEs:',7X,I4,11X,'Processor grid (x,y): (',I3,',',I3, &
+              ')',1X,A)
+102 FORMAT (' Number of PEs:',7X,I4,11X,'Tasks:',I4,'   threads per task:',I4/ &
+              37X,'Processor grid (x,y): (',I3,',',I3,')',1X,A)
+103 FORMAT (37X,'One additional PE is used to handle'/37X,'the dvrp output!')
+104 FORMAT (37X,'A 1d-decomposition along x is forced'/ &
+            37X,'because the job is running on an SMP-cluster')
+105 FORMAT (37X,'A 1d-decomposition along ',A,' is used')
 #endif
-110 FORMAT (/' Numerical Schemes:'/                                                                &
+110 FORMAT (/' Numerical Schemes:'/ &
              ' -----------------'/)
-124 FORMAT (' --> Use the ',A,' turbulence closure (',A,' mode).')
-121 FORMAT (' --> Use the ',A,' approximation for the model equations.')
 111 FORMAT (' --> Solve perturbation pressure via FFT using ',A,' routines')
-112 FORMAT (' --> Solve perturbation pressure via SOR-Red/Black-Schema'/                           &
-            '     Iterations (initial/other): ',I3,'/',I3,'  omega =',F6.3)
-113 FORMAT (' --> Momentum advection via Piascek-Williams-Scheme (Form C3)',' or Upstream')
-115 FORMAT ('     FFT and transpositions are overlapping')
-116 FORMAT (' --> Scalar advection via Piascek-Williams-Scheme (Form C3)',' or Upstream')
+112 FORMAT (' --> Solve perturbation pressure via SOR-Red/Black-Schema'/ &
+            '     Iterations (initial/other): ',I3,'/',I3,'  omega = ',F5.3)
+113 FORMAT (' --> Momentum advection via Piascek-Williams-Scheme (Form C3)', &
+                  ' or Upstream')
+114 FORMAT (' --> Momentum advection via Upstream-Spline-Scheme')
+115 FORMAT ('     Tendencies are smoothed via Long-Filter with factor ',F5.3) 
+116 FORMAT (' --> Scalar advection via Piascek-Williams-Scheme (Form C3)', &
+                  ' or Upstream')
+117 FORMAT (' --> Scalar advection via Upstream-Spline-Scheme')
 118 FORMAT (' --> Scalar advection via Bott-Chlond-Scheme')
-119 FORMAT (' --> Galilei-Transform applied to horizontal advection:'/                             &
-            '     translation velocity = ',A/                                                      &
+119 FORMAT (' --> Galilei-Transform applied to horizontal advection', &
+            '     Translation velocity = ',A/ &
             '     distance advected ',A,':  ',F8.3,' km(x)  ',F8.3,' km(y)')
+120 FORMAT (' --> Time differencing scheme: leapfrog only (no euler in case', &
+                  ' of timestep changes)')
+121 FORMAT (' --> Time differencing scheme: leapfrog + euler in case of', &
+                  ' timestep changes')
 122 FORMAT (' --> Time differencing scheme: ',A)
-123 FORMAT (' --> Rayleigh-Damping active, starts ',A,' z = ',F8.2,' m'/                           &
-            '     maximum damping coefficient:',F6.3, ' 1/s')
+123 FORMAT (' --> Rayleigh-Damping active, starts above z = ',F8.2,' m'/ &
+            '     maximum damping coefficient: ',F5.3, ' 1/s')
+124 FORMAT ('     Spline-overshoots are being suppressed')
+125 FORMAT ('     Upstream-Scheme is used if Upstream-differences fall short', &
+                  ' of'/                                                       &
+            '     delta_u = ',F6.4,4X,'delta_v = ',F6.4,4X,'delta_w = ',F6.4)
+126 FORMAT ('     Upstream-Scheme is used if Upstream-differences fall short', &
+                  ' of'/                                                       &
+            '     delta_e = ',F6.4,4X,'delta_pt = ',F6.4)
+127 FORMAT ('     The following absolute overshoot differences are tolerated:'/&
+            '     delta_u = ',F6.4,4X,'delta_v = ',F6.4,4X,'delta_w = ',F6.4)
+128 FORMAT ('     The following absolute overshoot differences are tolerated:'/&
+            '     delta_e = ',F6.4,4X,'delta_pt = ',F6.4)
 129 FORMAT (' --> Additional prognostic equation for the specific humidity')
 130 FORMAT (' --> Additional prognostic equation for the total water content')
-131 FORMAT (' --> No pt-equation solved. Neutral stratification with pt = ',F6.2,' K assumed')
+131 FORMAT (' --> Parameterization of condensation processes via (0%-or100%)')
+132 FORMAT (' --> Parameterization of long-wave radiation processes via'/ &
+            '     effective emissivity scheme')
+133 FORMAT (' --> Precipitation parameterization via Kessler-Scheme')
 134 FORMAT (' --> Additional prognostic equation for a passive scalar')
-135 FORMAT (' --> Solve perturbation pressure via ',A,' method (',A,'-cycle)'/                     &
-            '     number of grid levels:                   ',I2/                                   &
+135 FORMAT (' --> Solve perturbation pressure via multigrid method (', &
+                  A,'-cycle)'/ &
+            '     number of grid levels:                   ',I2/ &
             '     Gauss-Seidel red/black iterations:       ',I2)
-136 FORMAT ('     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', I3,')')
-137 FORMAT ('     level data gathered on PE0 at level:     ',I2/                                   &
-            '     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', I3,')'/              &
-            '     gridpoints of coarsest domain (x,y,z):    (',I3,',',I3,',', I3,')')
-139 FORMAT (' --> Loop optimization method: ',A)
+136 FORMAT ('     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', &
+                  I3,')')
+137 FORMAT ('     level data gathered on PE0 at level:     ',I2/ &
+            '     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', &
+                  I3,')'/ &
+            '     gridpoints of coarsest domain (x,y,z):    (',I3,',',I3,',', &
+                  I3,')')
+138 FORMAT ('     Using hybrid version for 1d-domain-decomposition')
+139 FORMAT (' --> Prognostic equations are solved in one single loop (fast', &
+                  ' method)')
 140 FORMAT ('     maximum residual allowed:                ',E10.3)
 141 FORMAT ('     fixed number of multigrid cycles:        ',I4)
-142 FORMAT ('     perturbation pressure is calculated at every Runge-Kutta ','step')
-143 FORMAT ('     Euler/upstream scheme is used for the SGS turbulent ','kinetic energy')
-144 FORMAT ('     masking method is used')
-150 FORMAT (' --> Volume flow at the right and north boundary will be ','conserved'/               &
-            '     using the ',A,' mode')
-151 FORMAT ('     with u_bulk = ',F7.3,' m/s and v_bulk = ',F7.3,' m/s')
-152 FORMAT (' --> External pressure gradient directly prescribed by the user:',                    &
-           /'     ',2(1X,E12.5),'Pa/m in x/y direction',                                           &
-           /'     starting from dp_level_b =',F8.3,'m',A/)
-200 FORMAT (//' Run time and time step information:'/                                              &
-            ' ----------------------------------'/)
-201 FORMAT (' Timestep:             variable     maximum value: ',F6.3,' s',                       &
-            '    CFL-factor:',F5.2)
-202 FORMAT (' Timestep:          dt = ',F6.3,' s'/)
-203 FORMAT (' Start time:        ',F11.3,' s'/                                                     &
-             ' End time:          ',F11.3,' s')
-204 FORMAT (A,F11.3,' s')
-205 FORMAT (A,F11.3,' s',5X,'restart every',17X,F11.3,' s')
-206 FORMAT (/' Time reached:      ',F11.3,' s'/                                                    &
-             ' CPU-time used:       ',F9.3,' s     per timestep:                 ',F9.3,' s'/      &
-             '                                      per second of simulated time: ',F9.3,' s')
-207 FORMAT (' Spinup time:       ',F11.3,' s')
-250 FORMAT (//' Computational grid and domain size:'/                                              &
-              ' ----------------------------------'//                                              &
-              ' Grid length:      dx =    ',F8.3,' m    dy =    ',F8.3,' m')
-251 FORMAT (/' Domain size:       x = ',F10.3,' m     y = ',F10.3,' m  z(u) = ',F10.3,' m'/)
-253 FORMAT ('                dz(',I1,') =    ', F8.3, ' m')
-254 FORMAT (//' Number of gridpoints (x,y,z):  (0:',I4,', 0:',I4,', 0:',I4,')'/                    &
+142 FORMAT ('     perturbation pressure is calculated at every Runge-Kutta ', &
+                  'step')
+150 FORMAT (' --> Volume flow at the right and north boundary will be ', &
+                  'conserved')
+200 FORMAT (//' Run time and time step information:'/ &
+             ' ----------------------------------'/)
+201 FORMAT ( ' Timestep:          variable     maximum value: ',F6.3,' s', &
+             '    CFL-factor: ',F4.2)
+202 FORMAT ( ' Timestep:       dt = ',F6.3,' s'/)
+203 FORMAT ( ' Start time:       ',F9.3,' s'/ &
+             ' End time:         ',F9.3,' s')
+204 FORMAT ( A,F9.3,' s')
+205 FORMAT ( A,F9.3,' s',5X,'restart every',17X,F9.3,' s')
+206 FORMAT (/' Time reached:     ',F9.3,' s'/ &
+             ' CPU-time used:    ',F9.3,' s     per timestep:               ', &
+               '  ',F9.3,' s'/                                                 &
+             '                                   per second of simulated tim', &
+               'e: ',F9.3,' s')
+250 FORMAT (//' Computational grid and domain size:'/ &
+              ' ----------------------------------'// &
+              ' Grid length:      dx =    ',F7.3,' m    dy =    ',F7.3, &
+              ' m    dz =    ',F7.3,' m'/ &
+              ' Domain size:       x = ',F10.3,' m     y = ',F10.3, &
+              ' m  z(u) = ',F10.3,' m'/)
+252 FORMAT (' dz constant up to ',F10.3,' m (k=',I4,'), then stretched by', &
+              ' factor: ',F5.3/ &
+            ' maximum dz not to be exceeded is dz_max = ',F10.3,' m'/)
+254 FORMAT (' Number of gridpoints (x,y,z):  (0:',I4,', 0:',I4,', 0:',I4,')'/ &
             ' Subdomain size (x,y,z):        (  ',I4,',   ',I4,',   ',I4,')'/)
-260 FORMAT (/' The model has a slope in x-direction. Inclination angle: ',F6.2,' degrees')
-270 FORMAT (//' Topography information:'/                                                          &
-              ' ----------------------'//                                                          &
+255 FORMAT (' Subdomains have equal size')
+256 FORMAT (' Subdomains at the upper edges of the virtual processor grid ', &
+              'have smaller sizes'/                                          &
+            ' Size of smallest subdomain:    (  ',I4,',   ',I4,',   ',I4,')')
+260 FORMAT (/' The model has a slope in x-direction. Inclination angle: ',F6.2,&
+             ' degrees')
+270 FORMAT (//' Topography informations:'/ &
+              ' -----------------------'// &
               1X,'Topography: ',A)
-271 FORMAT (' Building size (x/y/z) in m: ',F5.1,' / ',F5.1,' / ',F5.1/                            &
-            ' Horizontal index bounds (l/r/s/n): ',I4,' / ',I4,' / ',I4,' / ',I4)
-272 FORMAT (' Single quasi-2D street canyon of infinite length in ',A,' direction' /               &
-            ' Canyon height: ', F6.2, 'm, ch = ', I4, '.'      /                                   &
-            ' Canyon position (',A,'-walls): cxl = ', I4,', cxr = ', I4, '.')
-273 FORMAT (' Tunnel of infinite length in ',A,                                                    &
-            ' direction' /                                                                         &
-            ' Tunnel height: ', F6.2, /                                                            &
-            ' Tunnel-wall depth: ', F6.2      /                                                    &
-            ' Tunnel width: ', F6.2 )
-274 FORMAT (' Tunnel in ', A, ' direction.' /                                                      &
-            ' Tunnel height: ', F6.2, /                                                            &
-            ' Tunnel-wall depth: ', F6.2      /                                                    &
-            ' Tunnel width: ', F6.2, /                                                             &
-            ' Tunnel length: ', F6.2 )
-278 FORMAT (' Topography grid definition convention:'/                                             &
-            ' cell edge (staggered grid points'/                                                   &
-            ' (u in x-direction, v in y-direction))' /)
-279 FORMAT (' Topography grid definition convention:'/                                             &
-            ' cell center (scalar grid points)' /)
-280 FORMAT (' Complex terrain simulation is activated.')
-281 FORMAT ('    --> Mean inflow profiles are adjusted.' /                                         &
-            '    --> Elevation of inflow boundary: ', F7.1, ' m' )
-282 FORMAT ('    --> Initial data from 3D-precursor run is shifted' /                              &
-            '        vertically depending on local surface height.')
-300 FORMAT (//' Boundary conditions:'/                                                             &
-             ' -------------------'//                                                              &
-             '                     p                    uv             ',                          &
-             '                     pt'//                                                           &
-             ' B. bound.: ',A/                                                                     &
+271 FORMAT (  ' Building size (x/y/z) in m: ',F5.1,' / ',F5.1,' / ',F5.1/ &
+              ' Horizontal index bounds (l/r/s/n): ',I4,' / ',I4,' / ',I4, &
+                ' / ',I4)
+300 FORMAT (//' Boundary conditions:'/ &
+             ' -------------------'// &
+             '                     p                    uv             ', &
+             '                   pt'// &
+             ' B. bound.: ',A/ &
              ' T. bound.: ',A)
-301 FORMAT (/'                     ',A//                                                           &
-             ' B. bound.: ',A/                                                                     &
+301 FORMAT (/'                     e'// &
+             ' B. bound.: ',A/ &
              ' T. bound.: ',A)
-303 FORMAT (/' Bottom surface fluxes are used in diffusion terms at k=1')
-304 FORMAT (/' Top surface fluxes are used in diffusion terms at k=nzt')
-305 FORMAT (//'    Constant flux layer between bottom surface and first ',                         &
-              'computational u,v-level:'//                                                         &
-             '       z_mo = ',F6.2,' m   z0 =',F7.4,' m   z0h =',F8.5,' m   kappa =',F5.2/         &
-             '       zeta value range:   ',F8.2,' <= zeta <=',F6.2)
-306 FORMAT ('       Predefined constant heatflux:   ',F9.6,' K m/s')
+302 FORMAT (/'                     q'// &
+             ' B. bound.: ',A/ &
+             ' T. bound.: ',A)
+303 FORMAT (/' Surface fluxes are used in diffusion terms at k=1')
+305 FORMAT (//'    Prandtl-Layer between surface and first computational ', &
+               'u,v-level:'// &
+             '       zp = ',F6.2,' m   z0 = ',F6.4,' m   kappa = ',F4.2/ &
+             '       Rif value range:   ',F6.2,' <= rif <=',F6.2)
+306 FORMAT ('       Predefined constant heatflux:   ',F6.3,' K m/s')
 307 FORMAT ('       Heatflux has a random normal distribution')
 308 FORMAT ('       Predefined surface temperature')
-309 FORMAT ('       Predefined constant salinityflux:   ',F9.6,' psu m/s')
-310 FORMAT (//'    1D-Model:'//                                                                    &
-             '       Ri value range:   ',F6.2,' <= Ri <=',F6.2)
-311 FORMAT ('       Predefined constant humidity flux: ',E10.3,' kg/kg m/s')
+310 FORMAT (//'    1D-Model:'// &
+             '       Rif value range:   ',F6.2,' <= rif <=',F6.2)
+311 FORMAT ('       Predefined constant humidity flux: ',E10.3,' m/s')
 312 FORMAT ('       Predefined surface humidity')
 313 FORMAT ('       Predefined constant scalar flux: ',E10.3,' kg/(m**2 s)')
 314 FORMAT ('       Predefined scalar value at the surface')
-302 FORMAT ('       Predefined constant scalarflux:   ',F9.6,' kg/(m**2 s)')
-315 FORMAT ('       Humidity flux at top surface is 0.0')
-316 FORMAT ('       Sensible heatflux and momentum flux from coupled ', 'atmosphere model')
-317 FORMAT (//' Lateral boundaries:'/                                                              &
-            '       left/right:  ',A/                                                              &
+317 FORMAT (//' Lateral boundaries:'/ &
+            '       left/right:  ',A/    &
             '       north/south: ',A)
-318 FORMAT (/'       pt damping layer width = ',F8.2,' m, pt ','damping factor =',F7.4)
-319 FORMAT ('       turbulence recycling at inflow switched on'/                                   &
-            '       width of recycling domain: ',F7.1,' m   grid index: ',I4/                      &
-            '       inflow damping height: ',F6.1,' m   width: ',F6.1,' m')
-320 FORMAT ('       Predefined constant momentumflux:  u: ',F9.6,' m**2/s**2'/                     &
-            '                                          v: ',F9.6,' m**2/s**2')
-321 FORMAT (//' Initial profiles:'/                                                                &
-              ' ----------------')
-322 FORMAT ('       turbulence recycling at inflow switched on'/                                   &
-            '       y-shift of the recycled inflow turbulence is',I3,' PE'/                        &
-            '       width of recycling domain: ',F7.1,' m   grid index: ',I4/                      &
-            '       inflow damping height: ',F6.1,' m   width: ',F6.1,' m'/)
-323 FORMAT ('       turbulent outflow conditon switched on'/                                       &
-            '       position of outflow source plane: ',F7.1,' m   ','grid index: ', I4)
-325 FORMAT (//' List output:'/                                                                     &
-             ' -----------'//                                                                      &
-            '    1D-Profiles:'/                                                                    &
-            '       Output every             ',F10.2,' s')
-326 FORMAT ('       Time averaged over       ',F8.2,' s'/                                          &
+318 FORMAT (/'       outflow damping layer width: ',I3,' gridpoints with km_', &
+                    'max =',F5.1,' m**2/s')
+320 FORMAT (//' List output:'/ &
+             ' -----------'//  &
+            '    1D-Profiles:'/    &
+            '       Output every             ',F8.2,' s')
+321 FORMAT ('       Time averaged over       ',F8.2,' s'/ &
             '       Averaging input every    ',F8.2,' s')
-330 FORMAT (//' Data output:'/                                                                     &
+330 FORMAT (//' Data output:'/ &
              ' -----------'/)
 331 FORMAT (/'    1D-Profiles:')
 332 FORMAT (/'       ',A)
-333 FORMAT ('       Output every             ',F8.2,' s',/                                         &
-            '       Time averaged over       ',F8.2,' s'/                                          &
+333 FORMAT ('       Output every             ',F8.2,' s',/ &
+            '       Time averaged over       ',F8.2,' s'/ &
             '       Averaging input every    ',F8.2,' s')
 334 FORMAT (/'    2D-Arrays',A,':')
-335 FORMAT (/'       ',A2,'-cross-section  Arrays: ',A/                                            &
-            '       Output every             ',F8.2,' s  ',A/                                      &
-            '       Cross sections at ',A1,' = ',A/                                                &
+335 FORMAT (/'       ',A2,'-cross-section  Arrays: ',A/ &
+            '       Output every             ',F8.2,' s  ',A/ &
+            '       Cross sections at ',A1,' = ',A/ &
             '       scalar-coordinates:   ',A,' m'/)
 336 FORMAT (/'    3D-Arrays',A,':')
 337 FORMAT (/'       Arrays: ',A/ &
-            '       Output every             ',F8.2,' s  ',A/                                      &
+            '       Output every             ',F8.2,' s  ',A/ &
             '       Upper output limit at    ',F8.2,' m  (GP ',I4,')'/)
+338 FORMAT ('       Compressed data output'/ &
+            '       Decimal precision: ',A/)
 339 FORMAT ('       No output during initial ',F8.2,' s')
 340 FORMAT (/'    Time series:')
 341 FORMAT ('       Output every             ',F8.2,' s'/)
-342 FORMAT (/'       ',A2,'-cross-section  Arrays: ',A/                                            &
-            '       Output every             ',F8.2,' s  ',A/                                      &
-            '       Time averaged over       ',F8.2,' s'/                                          &
-            '       Averaging input every    ',F8.2,' s'/                                          &
-            '       Cross sections at ',A1,' = ',A/                                                &
+342 FORMAT (/'       ',A2,'-cross-section  Arrays: ',A/ &
+            '       Output every             ',F8.2,' s  ',A/ &
+            '       Time averaged over       ',F8.2,' s'/ &
+            '       Averaging input every    ',F8.2,' s'/ &
+            '       Cross sections at ',A1,' = ',A/ &
             '       scalar-coordinates:   ',A,' m'/)
-343 FORMAT (/'       Arrays: ',A/                                                                  &
-            '       Output every             ',F8.2,' s  ',A/                                      &
-            '       Time averaged over       ',F8.2,' s'/                                          &
-            '       Averaging input every    ',F8.2,' s'/                                          &
+343 FORMAT (/'       Arrays: ',A/ &
+            '       Output every             ',F8.2,' s  ',A/ &
+            '       Time averaged over       ',F8.2,' s'/ &
+            '       Averaging input every    ',F8.2,' s'/ &
             '       Upper output limit at    ',F8.2,' m  (GP ',I4,')'/)
-344 FORMAT ('       Output format: ',A/)
-345 FORMAT (/'    Scaling lengths for output locations of all subsequent mask IDs:',/              &
-            '       mask_scale_x (in x-direction): ',F9.3, ' m',/                                  &
-            '       mask_scale_y (in y-direction): ',F9.3, ' m',/                                  &
-            '       mask_scale_z (in z-direction): ',F9.3, ' m' )
-346 FORMAT (/'    Masked data output',A,' for mask ID ',I2, ':')
-347 FORMAT ('       Variables: ',A/                                                                &
-            '       Output every             ',F8.2,' s')
-348 FORMAT ('       Variables: ',A/ &
-            '       Output every             ',F8.2,' s'/                                          &
-            '       Time averaged over       ',F8.2,' s'/                                          &
-            '       Averaging input every    ',F8.2,' s')
-349 FORMAT (/'       Output locations in ',A,'-direction in multiples of ',                        &
-            'mask_scale_',A,' predefined by array mask_',I2.2,'_',A,':'/                           &
-            13('       ',8(F8.2,',')/) )
-350 FORMAT (/'       Output locations in ',A,'-direction: ',                                       &
-            'all gridpoints along ',A,'-direction (default).' )
-351 FORMAT (/'       Output locations in ',A,'-direction in multiples of ',                        &
-            'mask_scale_',A,' constructed from array mask_',I2.2,'_',A,'_loop:'/                   &
-            '          loop begin:',F8.2,', end:',F8.2,', stride:',F8.2 )
-352 FORMAT (/'       Number of output time levels allowed: ',I3 /)
-353 FORMAT (/'       Number of output time levels allowed: unlimited'/)
-354 FORMAT ('       Output format: ',A, '   compressed with level: ',I1/)
-355 FORMAT (/'    Restart data format(s):')
-356 FORMAT ('    Input format:  ',A)
-357 FORMAT ('    Output format: ',A)
-400 FORMAT (//' Physical quantities:'/                                                             &
+345 FORMAT ('       Output format: ',A/)
+#if defined( __dvrp_graphics )
+360 FORMAT ('    Plot-Sequence with dvrp-software:'/ &
+            '       Output every      ',F7.1,' s'/ &
+            '       Output mode:      ',A/ &
+            '       Host / User:      ',A,' / ',A/ &
+            '       Directory:        ',A// &
+            '       The sequence contains:')
+361 FORMAT ('       Isosurface of ',A,'  Threshold value: ', E12.3)
+362 FORMAT ('       Sectional plane ',A)
+363 FORMAT ('       Particles')
+#endif
+#if defined( __spectra )
+370 FORMAT ('    Spectra:')
+371 FORMAT ('       Output every ',F7.1,' s'/)
+372 FORMAT ('       Arrays:     ', 10(A5,',')/                         &
+            '       Directions: ', 10(A5,',')/                         &
+            '       height levels  k = ', 9(I3,','),I3,'.'/            &
+            '       height levels selected for standard plot:'/        &
+            '                      k = ', 9(I3,','),I3,'.'/            &
+            '       Time averaged over ', F7.1, ' s,' /                &
+            '       Profiles for the time averaging are taken every ', &
+                    F6.1,' s')
+#endif
+400 FORMAT (//' Physical quantities:'/ &
               ' -------------------'/)
-410 FORMAT ('    Geograph. latitude  :   latitude  = ',F5.1,' degr'/                               &
-            '    Geograph. longitude :   longitude = ',F5.1,' degr'/                               &
-            '    Rotation angle      :   rotation_angle = ',F5.1,' degr'/                          &
-            '    Angular velocity    :   omega  =',E10.3,' rad/s'/                                 &
-            '    Coriolis parameter  :   f      = ',F9.6,' 1/s'/                                   &
-            '                            f*     = ',F9.6,' 1/s')
-411 FORMAT (/'    Gravity             :   g      = ',F4.1,' m/s**2')
-412 FORMAT (/'    Reference state used in buoyancy terms: ',A)
-413 FORMAT ('       Reference density in buoyancy terms: ',F8.3,' kg/m**3')
-414 FORMAT ('       Reference temperature in buoyancy terms: ',F8.4,' K')
-420 FORMAT (/'    Characteristic levels of the initial temperature profile:'//                     &
-            '       Height:        ',A,'  m'/                                                      &
-            '       Temperature:   ',A,'  K'/                                                      &
-            '       Gradient:      ',A,'  K/100m'/                                                 &
+410 FORMAT ('    Angular velocity    :   omega = ',E9.3,' rad/s'/  &
+            '    Geograph. latitude  :   phi   = ',F4.1,' degr'/   &
+            '    Coriolis parameter  :   f     = ',F9.6,' 1/s'/    &
+            '                            f*    = ',F9.6,' 1/s')
+411 FORMAT (/'    Gravity             :   g     = ',F4.1,' m/s**2')
+412 FORMAT (/'    Cloud physics parameters:'/ &
+             '    ------------------------'/)
+413 FORMAT ('        Surface pressure   :   p_0   = ',F7.2,' hPa'/      &
+            '        Gas constant       :   R     = ',F5.1,' J/(kg K)'/ &
+            '        Density of air     :   rho_0 = ',F5.3,' kg/m**3'/  &
+            '        Specific heat cap. :   c_p   = ',F6.1,' J/(kg K)'/ &
+            '        Vapourization heat :   L_v   = ',E8.2,' J/kg')
+420 FORMAT (/'    Characteristic levels of the initial temperature profile:'// &
+            '       Height:        ',A,'  m'/ &
+            '       Temperature:   ',A,'  K'/ &
+            '       Gradient:      ',A,'  K/100m'/ &
             '       Gridpoint:     ',A)
-421 FORMAT (/'    Characteristic levels of the initial humidity profile:'//                        &
-            '       Height:      ',A,'  m'/                                                        &
-            '       Humidity:    ',A,'  kg/kg'/                                                    &
-            '       Gradient:    ',A,'  (kg/kg)/100m'/                                             &
+421 FORMAT (/'    Characteristic levels of the initial humidity profile:'// &
+            '       Height:      ',A,'  m'/ &
+            '       Humidity:    ',A,'  kg/kg'/ &
+            '       Gradient:    ',A,'  (kg/kg)/100m'/ &
             '       Gridpoint:   ',A)
-422 FORMAT (/'    Characteristic levels of the initial scalar profile:'//                          &
-            '       Height:                  ',A,'  m'/                                            &
-            '       Scalar concentration:    ',A,'  kg/m**3'/                                      &
-            '       Gradient:                ',A,'  (kg/m**3)/100m'/                               &
+422 FORMAT (/'    Characteristic levels of the initial scalar profile:'// &
+            '       Height:                  ',A,'  m'/ &
+            '       Scalar concentration:    ',A,'  kg/m**3'/ &
+            '       Gradient:                ',A,'  (kg/m**3)/100m'/ &
             '       Gridpoint:               ',A)
-423 FORMAT (/'    Characteristic levels of the geo. wind component ug:'//                          &
-            '       Height:      ',A,'  m'/                                                        &
-            '       ug:          ',A,'  m/s'/                                                      &
-            '       Gradient:    ',A,'  1/100s'/                                                   &
+423 FORMAT (/'    Characteristic levels of the geo. wind component ug:'// &
+            '       Height:      ',A,'  m'/ &
+            '       ug:          ',A,'  m/s'/ &
+            '       Gradient:    ',A,'  1/100s'/ &
             '       Gridpoint:   ',A)
-424 FORMAT (/'    Characteristic levels of the geo. wind component vg:'//                          &
-            '       Height:      ',A,'  m'/                                                        &
-            '       vg:          ',A,'  m/s'/                                                      &
-            '       Gradient:    ',A,'  1/100s'/                                                   &
+424 FORMAT (/'    Characteristic levels of the geo. wind component vg:'// &
+            '       Height:      ',A,'  m'/ &
+            '       vg:          ',A,'  m/S'/ &
+            '       Gradient:    ',A,'  1/100s'/ &
             '       Gridpoint:   ',A)
-425 FORMAT (/'    Characteristic levels of the initial salinity profile:'//                        &
-            '       Height:     ',A,'  m'/                                                         &
-            '       Salinity:   ',A,'  psu'/                                                       &
-            '       Gradient:   ',A,'  psu/100m'/                                                  &
-            '       Gridpoint:  ',A)
-426 FORMAT (/'    Characteristic levels of the subsidence/ascent profile:'//                       &
-            '       Height:      ',A,'  m'/                                                        &
-            '       w_subs:      ',A,'  m/s'/                                                      &
-            '       Gradient:    ',A,'  (m/s)/100m'/                                               &
-            '       Gridpoint:   ',A)
-427 FORMAT (/'    Initial wind profiles (u,v) are interpolated from given'//                       &
-                  ' profiles')
-428 FORMAT (/'    Initial profiles (u, v, pt, q) are taken from file '/                            &
-             '    NUDGING_DATA')
-430 FORMAT (//' Cloud physics quantities / methods:'/                                              &
-              ' ----------------------------------'/)
-431 FORMAT ('    Humidity is considered, bu no condensation')
-450 FORMAT (//' LES / Turbulence quantities:'/                                                     &
+450 FORMAT (//' LES / Turbulence quantities:'/ &
               ' ---------------------------'/)
-451 FORMAT ('    Diffusion coefficients are constant:'/                                            &
-            '    Km = ',F6.2,' m**2/s   Kh = ',F6.2,' m**2/s   Pr = ',F5.2)
-453 FORMAT ('    Mixing length is limited close to surfaces')
-454 FORMAT ('    TKE is not allowed to fall below ',E9.2,' (m/s)**2')
-455 FORMAT ('    initial TKE is prescribed as ',E9.2,' (m/s)**2')
-456 FORMAT (/'    Date and time at model start : ',A)
-457 FORMAT ('    RANS-mode constants: c_0 = ',F9.5/                                                &
-            '                         c_1 = ',F9.5/                                                &
-            '                         c_2 = ',F9.5/                                                &
-            '                         c_3 = ',F9.5/                                                &
-            '                         c_4 = ',F9.5/                                                &
-            '                         sigma_e    = ',F9.5/                                         &
-            '                         sigma_diss = ',F9.5)
-470 FORMAT (//' Actions during the simulation:'/                                                   &
+451 FORMAT ('   Diffusion coefficients are constant:'/ &
+            '   Km = ',F6.2,' m**2/s   Kh = ',F6.2,' m**2/s   Pr = ',F5.2)
+452 FORMAT ('   Mixing length is limited to the Prandtl mixing lenth.')
+453 FORMAT ('   Mixing length is limited to ',F4.2,' * z')
+454 FORMAT ('   TKE is not allowed to fall below ',E9.2,' (m/s)**2')
+470 FORMAT (//' Actions during the simulation:'/ &
               ' -----------------------------'/)
-471 FORMAT ('    Disturbance impulse (u,v) every :   ',F6.2,' s'/                                  &
-            '    Disturbance amplitude           :    ',F5.2, ' m/s'/                              &
-            '    Lower disturbance level         : ',F8.2,' m (GP ',I4,')'/                        &
-            '    Upper disturbance level         : ',F8.2,' m (GP ',I4,')')
-472 FORMAT ('    Disturbances continued during the run from i/j =',I4,' to i/j =',I4)
-473 FORMAT ('    Disturbances cease as soon as the disturbance energy exceeds',F6.3, ' m**2/s**2')
+471 FORMAT ('    Disturbance impulse (u,v) every :  ',F6.2,' s'/             &
+            '    Disturbance amplitude           :    ',F4.2, ' m/s'/        &
+            '    Lower disturbance level         : ',F7.2,' m (GP ',I4,')'/  &
+            '    Upper disturbance level         : ',F7.2,' m (GP ',I4,')')
+472 FORMAT ('    Disturbances continued during the run from i/j =',I4, &
+                 ' to i/j =',I4)
+473 FORMAT ('    Disturbances cease as soon as the disturbance energy exceeds',&
+                 1X,F5.3, ' m**2/s**2')
 474 FORMAT ('    Random number generator used    : ',A/)
-475 FORMAT ('    The surface temperature is increased (or decreased, ','respectively, if'/         &
-            '    the value is negative) by ',F5.2,' K at the beginning of the',' 3D-simulation'/)
-476 FORMAT ('    The surface temperature increases (or decreases, ','respectively, if'/            &
-            '    the value is negative) by ',F8.4,' K/h during the',' 3D-simulation'/)
-477 FORMAT ('    The surface humidity is increased (or decreased, ','respectively, if the'/        &
-            '    value is negative) by ',E8.1,' kg/kg at the beginning of',' the 3D-simulation'/)
-478 FORMAT ('    The scalar value is increased at the surface (or decreased, ',                    &
-                 'respectively, if the'/                                                           &
-            '    value is negative) by ',E8.1,' kg/m**3 at the beginning of',' the 3D-simulation'/)
-500 FORMAT (//' 1D-Model parameters:'/                                                             &
-              ' -------------------'//                                                             &
-            '    Simulation time:                   ',F8.1,' s'/                                   &
-            '    Run-controll output every:         ',F8.1,' s'/                                   &
-            '    Vertical profile output every:     ',F8.1,' s'/                                   &
-            '    Mixing length calculation:         ',A/                                           &
+475 FORMAT ('    The surface temperature is increased (or decreased, ', &
+                 'respectively, if'/ &
+            '    the value is negative) by ',F5.2,' K at the beginning of the',&
+                 ' 3D-simulation'/)
+476 FORMAT ('    The surface humidity is increased (or decreased, ',&
+                 'respectively, if the'/ &
+            '    value is negative) by ',E8.1,' kg/kg at the beginning of', &
+                 ' the 3D-simulation'/)
+477 FORMAT ('    The scalar value is increased at the surface (or decreased, ',&
+                 'respectively, if the'/ &
+            '    value is negative) by ',E8.1,' kg/m**3 at the beginning of', &
+                 ' the 3D-simulation'/)
+#if defined( __particles )
+480 FORMAT ('    Particles:'/ &
+            '    ---------'// &
+            '       Particle advection is active (switched on at t = ', F7.1, &
+                    ' s)'/ &
+            '       Start of new particle generations every  ',F6.1,' s'/ &
+            '       Boundary conditions: left/right: ', A, ' north/south: ', A/&
+            '                            bottom:     ', A, ' top:         ', A/&
+            '       Maximum particle age:                 ',F9.1,' s'/ &
+            '       Advection stopped at t = ',F9.1,' s'/)
+481 FORMAT ('       Particles have random start positions'/)
+482 FORMAT ('       Particles are advected only horizontally'/)
+483 FORMAT ('       Particles have tails with a maximum of ',I3,' points')
+484 FORMAT ('            Number of tails of the total domain: ',I10/ &
+            '            Minimum distance between tailpoints: ',F8.2,' m'/ &
+            '            Maximum age of the end of the tail:  ',F8.2,' s')
+485 FORMAT ('       Particle data are written on file every ', F9.1, ' s')
+486 FORMAT ('       Particle statistics are written on file'/)
+487 FORMAT ('       Number of particle groups: ',I2/)
+488 FORMAT ('       SGS velocity components are used for particle advection'/ &
+            '          minimum timestep for advection: ', F7.5/)
+489 FORMAT ('       Number of particles simultaneously released at each ', &
+                    'point: ', I5/)
+490 FORMAT ('       Particle group ',I2,':'/ &
+            '          Particle radius: ',E10.3, 'm')
+491 FORMAT ('          Particle inertia is activated'/ &
+            '             density_ratio (rho_fluid/rho_particle) = ',F5.3/)
+492 FORMAT ('          Particles are advected only passively (no inertia)'/)
+493 FORMAT ('          Boundaries of particle source: x:',F8.1,' - ',F8.1,' m'/&
+            '                                         y:',F8.1,' - ',F8.1,' m'/&
+            '                                         z:',F8.1,' - ',F8.1,' m'/&
+            '          Particle distances:  dx = ',F8.1,' m  dy = ',F8.1, &
+                       ' m  dz = ',F8.1,' m'/)
+494 FORMAT ('       Output of particle time series in NetCDF format every ', &
+                    F8.2,' s'/)
+495 FORMAT ('       Number of particles in total domain: ',I10/)
+#endif
+500 FORMAT (//' 1D-Model parameters:'/                           &
+              ' -------------------'//                           &
+            '    Simulation time:                   ',F8.1,' s'/ &
+            '    Run-controll output every:         ',F8.1,' s'/ &
+            '    Vertical profile output every:     ',F8.1,' s'/ &
+            '    Mixing length calculation:         ',A/         &
             '    Dissipation calculation:           ',A/)
 502 FORMAT ('    Damping layer starts from ',F7.1,' m (GP ',I4,')'/)
-503 FORMAT (' --> Momentum advection via Wicker-Skamarock-Scheme 5th order')
-504 FORMAT (' --> Scalar advection via Wicker-Skamarock-Scheme 5th order')
-512 FORMAT (/' Date:               ',A10,6X,'Run:       ',A34/                                     &
-            ' Time:                 ',A8,6X,'Run-No.:   ',I2.2/                                    &
-            ' Run on host:        ',A10,6X,'En-No.:    ',I2.2)
-#if defined( __parallel )
-600 FORMAT (/' Nesting informations:'/                                                             &
-            ' --------------------'/                                                               &
-            ' Nesting mode:                     ',A/                                               &
-            ' Nesting-datatransfer mode:        ',A//                                              &
-            ' Nest id  parent  number   lower left coordinates   name'/                            &
-            ' (*=me)     id    of PEs      x (m)     y (m)')
-601 FORMAT (2X,A1,1X,I2.2,6X,I2.2,5X,I5,5X,F8.2,2X,F8.2,5X,A)
-#endif
+
 
  END SUBROUTINE header
